<template>
  <div>
    <el-timeline style="max-height:260px;overflow-y:auto;">
      <el-timeline-item v-for="info in checkRecord" :key="info.record" :timestamp="info.operateTime" placement="top" style="padding:5px !important;">
        <el-card>
          <span style="display:block;font-weight: bold; font-size:13px;">用户 {{info.operateUserName}}</span>
          <span v-html="info.centent" style="display:block;padding-left: 10px; font-size:13px;" />
        </el-card>
      </el-timeline-item>
    </el-timeline>
  </div>
</template>
<script>
import { getCheckRecord } from '@/api/zs/sign'

export default {
  name: "CheckRecord",
  props: {
    signId: {
      type: Number,
      default: undefined
    }
  },

  data() {
    return {
      checkRecord: []
    }
  },
  created() {
    if (this.signId) {
      this.getCheckRecord()
    }
  },
  methods: {
    getCheckRecord() {
      getCheckRecord({ signId: this.signId, type: 1 }).then((resp) => {
        this.checkRecord = resp.data
      })
    },
  },

}
</script>